$(function() {

	$('#from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#login_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#login_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#close_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#close_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#tag_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#tag_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#suspension_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#suspension_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	if($('#from').val() == '') {
		$('#from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#to').val() == '') {
		$('#to:text').datepicker().datepicker('setDate','today');
	}

	if($('#login_from').val() == '') {
		$('#login_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#login_to').val() == '') {
		$('#login_to:text').datepicker().datepicker('setDate','today');
	}

	if($('#close_from').val() == '') {
		$('#close_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#close_to').val() == '') {
		$('#close_to:text').datepicker().datepicker('setDate','today');
	}

	if($('#tag_from').val() == '') {
		$('#tag_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#tag_to').val() == '') {
		$('#tag_to:text').datepicker().datepicker('setDate','today');
	}

	if($('#suspension_from').val() == '') {
		$('#suspension_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#suspension_to').val() == '') {
		$('#suspension_to:text').datepicker().datepicker('setDate','today');
	}

	$("#btnSearch").click(function(e) {
		$('#type').val('');
		$('#type_search').val('search');
		
		if($("#doao_from").length > 0){
			if(!$("#doao_from").val() || !$("#doao_to").val()){
				$("#doao_from").val("(empty)")
				$("#doao_to").val("(empty)")
			}
			
			if(!$("#dob_from").val() || !$("#dob_to").val()){
				$("#dob_from").val("(empty)")
				$("#dob_to").val("(empty)")
			}
		}
		
		submitForm('searchForm');
	});

	$("#btnSave").click(function() {
		$('#type').val('save');
		submitForm();
	});

	$("#btnSearchAll").click(function() {
		actionSearchAll();
	});

	$("#btnSearchToday").click(function() {
		actionSearchToday();
	});

	$("#btnImport").click(function() {
		$('#type_search').val('import');
		submitForm('searchForm');
	});

	$("#btnImport").click(function() {
		$('#type_search').val('import');
		submitForm('searchForm');
	});

	$("#btnConfirm").click(function() {
		$('#type').val('upload');
		submitForm();
	});

	$("#btnComplete").click(function() {
		$('#type').val('complete');
		submitForm();
	});

	$('#btnList').click(function() {
		$('#type').val('');
		submitForm();
	});

	if($('#fail').val() != undefined
		&& $('#fail').val() != ''){
		$('#type').val('export');
		submitForm();
	}

	$('#btnBalacne').click(function() {
		$('#downloadForm').submit();
	});
	
	/**
	 * DN053 (Anton)
	 */
	var dpickjson = {"dateFormat" : "yy-mm-dd"};
	$("#doao_from").datepicker(dpickjson);
	$("#doao_to").datepicker(dpickjson);
	$("#dob_from").datepicker(dpickjson);
	$("#dob_to").datepicker(dpickjson);
	
	
	$(".reason-data").click(function(e){
		e.preventDefault()
		var modal = new SimpleModal({
			"title" : "Matches",
			"body" : $("#reason_"+$(this).attr("reason-id")).html(),
			"size" : "large",
			"theme" : "light"
		});
		modal.show();
	});
});

/**
 * 検索を行う
 */
function actionSearch() {
	$('#type_search').val('search');
	submitForm('searchForm');
}

/**
 * 検索を行う（全検索）
 */
function actionSearchAll() {

	// パラメータの設定
	$('#email').val('');
	$('#name').val('');
	$('#first_name').val('');
	$('#user_account').val('');
	$('#country').val('');
	$('#state').val('');
	$('#address').val('');
	$('#agent_code').val('');
	$('#kyc_flg').val('');
	$('#status').val('');
	$('#crm_id').val('');
	$('#account_type').val('');
	$('#test_account_flg').val('');
	$('#from').val('');
	$('#to').val('');
	$('#login_from').val('');
	$('#login_to').val('');
	$('#close_from').val('');
	$('#close_to').val('');
	$('#wl_id').val('');
	$('#s_min_amount').val('');
	$('#s_max_amount').val('');
	$('#open_flg').prop('checked', false);
	$('#login_flg').prop('checked', false);
	$('#close_flg').prop('checked', false);
	$('#currency').val('');
	$('#suspension_from').val('');
	$('#suspension_to').val('');

	// 口座状態
	for(cnt = 0; cnt <= 7; cnt++) {
		$('#statuses' + cnt).prop('checked', true);
	}

	// 検索開始
	actionSearch();
}

/**
 * 検索を行う（本日検索）
 */
function actionSearchToday() {

	// 変数宣言部

	// パラメータの設定
	$('#email').val('');
	$('#name').val('');
	$('#first_name').val('');
	$('#user_account').val('');
	$('#country').val('');
	$('#state').val('');
	$('#address').val('');
	$('#agent_code').val('');
	$('#kyc_flg').val('');
	$('#status').val('');
	$('#crm_id').val('');
	$('#account_type').val('');
	$('#from:text').datepicker().datepicker('setDate','today');
	$('#to:text').datepicker().datepicker('setDate','today');
	$('#login_from').val('');
	$('#login_to').val('');
	$('#close_from').val('');
	$('#close_to').val('');
	$('#currency').val('');
	$('#s_min_amount').val('');
	$('#s_max_amount').val('');
	$('#wl_id').val('');
	$('#open_flg').prop('checked', true);
	$('#login_flg').prop('checked', false);
	$('#close_flg').prop('checked', false);
	$('#suspension_from').val('');
	$('#suspension_to').val('');

	// 口座状態
	for(cnt = 0; cnt <= 7; cnt++) {
		$('#statuses' + cnt).prop('checked', true);
	}

	// 検索開始
	actionSearch();
}

/**
 * 検索を行う（本日検索）
 */
function actionExport() {
	$('#type').val('export');

	// 検索開始
	submitForm();
}

/**
 * 検索を行う（詳細表示）
 */
function actionDetail(uAccount) {
	$('#acForm').attr('action','account_edit');
	$('#detail_account').val(uAccount);
	$('#action').val('account_edit');
	$('#type').val('action');
	submitForm();
}

function actionDeleteChildDuplicate(pAccountNum, cAccountNum){
	var message = (lang == "en" ? 
            "You are about to delete a Potential Duplicate Source. \nProceed?" 
            : "可能複写原因を削除します。\n実行しますか？");
	if(confirm(message)){
		$('#type').val('delete');	
		$('#user_account').val(pAccountNum)
		$('#child_account').val(cAccountNum)
		submitForm();
	}
}
